> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetocal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete discount code

> Delete a discount code.

<Info>Replace `{your-subdomain}` with your workspace’s subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/discount-codes.yaml DELETE /discount-codes/{id}
openapi: 3.0.3
info:
  title: NeetoCal Discount Codes APIs
  version: 2.0.0
servers:
  - description: NeetoCal APIs
    url: https://{your-subdomain}.neetocal.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Discount codes
    description: APIs to manage discount codes for bookings.
paths:
  /discount-codes/{id}:
    delete:
      tags:
        - Discount codes
      summary: Delete a discount code
      description: Delete a discount code.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: ID of the discount code to delete.
          example: 8f3b9f6e-2e3a-4c7a-91c5-7f9b2a123456
      responses:
        '204':
          description: No Content - Discount code disabled and scheduled for removal
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string

````